Skip to main content
DELETE
/
memories
/
delete
/
{source}
/
{resource_id}
JavaScript
import Hyperspell from '@hyperspell/hyperspell';

const client = new Hyperspell({
  apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});

const memory = await client.memories.delete('resource_id', { source: 'reddit' });

console.log(memory.resource_id);
{
  "success": true,
  "resource_id": "<string>",
  "source": "reddit",
  "chunks_deleted": 123,
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Path Parameters

source
enum<string>
required
Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
box,
dropbox,
github,
google_drive,
vault,
web_crawler,
trace,
microsoft_teams,
gmail_actions
resource_id
string
required

Response

Successful Response

success
boolean
required
resource_id
string
required
source
enum<string>
required
Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
box,
dropbox,
github,
google_drive,
vault,
web_crawler,
trace,
microsoft_teams,
gmail_actions
chunks_deleted
integer
required
message
string
required